function Get-ReadOnlyList($pathtofile) {
    if ([String]::IsNullOrEmpty($pathtofile)) {
        Write-Host "ERROR: argument is invalid."
        return $FALSE
    }
    if (!(Test-Path($pathtofile))) {
        Write-Host "ERROR: file or directory not found."
        return $FALSE
    }
    Get-ChildItem -Recurse $pathtofile | % {
        if((Get-ItemProperty( $_.FullName )).Attributes.ToString().Contains("ReadOnly")) {
            $_.FullName
        }
    }
}
